Vraag Hoe installeer ik dig?


Hoe installeer ik dig? Ik kan niet achterhalen wat de naam van het pakket is.


95
2018-02-07 00:31


oorsprong


Vreemd dat je het niet hebt. Pakket ubuntu-standard direct afhankelijk van dnsutils welke bevat dig, nslookup en nsupdate nutsbedrijven. Is jouw systeem in orde? Kun je het proberen sudo apt-get install ubuntu-standard? - ulidtko
U lijkt uw eigen vraag te hebben beantwoord? - belacqua
ubuntu-servers komen vaak niet met graven - Scott Stensland


antwoorden:


U kunt het installeren door een terminal te openen en te typen

sudo apt-get install dnsutils

Of via de Ubuntu Software Center door op onderstaande link te klikken:

Install via the software center

Voor later gebruik heb ik dit ontdekt door snel te zoeken met apt-cache:

apt-cache search dns dig

En vervolgens geverifieerd met aptitude.


152
2018-02-07 00:40



Een veel eenvoudigere opdracht om het pakket te bepalen, op voorwaarde dat u weet dat het volledige pad van het bestand dat u zoekt $ sudo dpkg -S / usr / bin / dig dnsutils is: / usr / bin / dig - Jamess
@James, deze opdracht werkt alleen als je al had graven, terwijl Oli's alle beschikbare pakketten zal doorzoeken. - Javier Rivera
@Jamess Dat kan zoeken op bestandsnaam op packages.ubuntu.com. En FWIW, dat heb je niet nodig sudo rennen dpkg -S. - Iain Lane


sudo apt-get install dnsutils

Om erachter te komen in welk pakket een bestand zich bevindt, kunt u doen

sudo apt-cache search dig

Soms werkt dat, maar in dit geval was het nutteloos. U kunt hier zoeken naar welk pakket een specifiek bestand is met behulp van het zoekformulier 'Zoek de inhoud van pakketten':

http://packages.ubuntu.com/


27
2018-02-07 00:37



Zoals @oli zei in hun antwoord, het toevoegen van zoekwoorden kan maken apt-cache search nuttiger; in dit geval de combinatie van dns en dig trefwoorden retourneerde een veel kleinere lijst (ongeveer een dozijn pakketten) dan op zichzelf (honderden voor dnsbijna duizend dig). - Mark Reed


Een ander commando:

apt-file search /usr/bin/dig

Je zou moeten installeren apt-file en update het van tevoren:

sudo apt-get install apt-file
sudo apt-file update

6
2018-06-08 15:05